Bug 157383 - There is no extension name of a locale file.
There is no extension name of a locale file.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tcsh (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-10 22:59 EDT by Tadashi Jokagi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 04:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadashi Jokagi 2005-05-10 22:59:57 EDT
There is no extension name of a locale file.

Version-Release number of selected component (if applicable):
# rpm -q tcsh
tcsh-6.14-1


How reproducible:

Steps to Reproduce:
1.run "rpm -ql tcsh | grep locale"
2.
3.
  
Actual results:
rpm -ql tcsh|grep locale
/usr/share/locale/de/LC_MESSAGES/tcsh
/usr/share/locale/el/LC_MESSAGES/tcsh
/usr/share/locale/en/LC_MESSAGES/tcsh
/usr/share/locale/es/LC_MESSAGES/tcsh
/usr/share/locale/et/LC_MESSAGES/tcsh
/usr/share/locale/fi/LC_MESSAGES/tcsh
/usr/share/locale/fr/LC_MESSAGES/tcsh
/usr/share/locale/it/LC_MESSAGES/tcsh
/usr/share/locale/ja/LC_MESSAGES/tcsh
/usr/share/locale/pl/LC_MESSAGES/tcsh
/usr/share/locale/ru/LC_MESSAGES/tcsh
/usr/share/locale/uk/LC_MESSAGES/tcsh

Expected results:
rpm -ql tcsh|grep locale
/usr/share/locale/de/LC_MESSAGES/tcsh.mo
/usr/share/locale/el/LC_MESSAGES/tcsh.mo
/usr/share/locale/en/LC_MESSAGES/tcsh.mo
/usr/share/locale/es/LC_MESSAGES/tcsh.mo
/usr/share/locale/et/LC_MESSAGES/tcsh.mo
/usr/share/locale/fi/LC_MESSAGES/tcsh.mo
/usr/share/locale/fr/LC_MESSAGES/tcsh.mo
/usr/share/locale/it/LC_MESSAGES/tcsh.mo
/usr/share/locale/ja/LC_MESSAGES/tcsh.mo
/usr/share/locale/pl/LC_MESSAGES/tcsh.mo
/usr/share/locale/ru/LC_MESSAGES/tcsh.mo
/usr/share/locale/uk/LC_MESSAGES/tcsh.mo

Additional info:
Comment 1 Miloslav Trmač 2005-05-11 04:18:52 EDT
The files are catgets catalogs, not gettext catalogs. The ".mo" extension is
used for gettext catalogs.

tcsh is opening a catalog named "tcsh" by default. Because the default NLSPATH
is /usr/share/locale/%L/%N:/usr/share/locale/%L/LC_MESSAGES/%N , the catalogs
have to 
be installed without the .mo extension, otherwise they would not be used
automatically.

Note You need to log in before you can comment on or make changes to this bug.